OpenJPEG 2.3.0

Functions
tgt.c File Reference
`#include "opj_includes.h"`

## Functions
opj_tgt_tree_t * | opj_tgt_create (OPJ_UINT32 numleafsh, OPJ_UINT32 numleafsv, opj_event_mgr_t *p_manager)
| Create a tag-tree. More...
opj_tgt_tree_t * | opj_tgt_init (opj_tgt_tree_t *p_tree, OPJ_UINT32 p_num_leafs_h, OPJ_UINT32 p_num_leafs_v, opj_event_mgr_t *p_manager)
| Reinitialises a tag-tree from an existing one. More...
void | opj_tgt_destroy (opj_tgt_tree_t *p_tree)
| Destroy a tag-tree, liberating memory. More...
void | opj_tgt_reset (opj_tgt_tree_t *p_tree)
| Reset a tag-tree (set all leaves to 0) More...
void | opj_tgt_setvalue (opj_tgt_tree_t *tree, OPJ_UINT32 leafno, OPJ_INT32 value)
| Set the value of a leaf of a tag-tree. More...
void | opj_tgt_encode (opj_bio_t *bio, opj_tgt_tree_t *tree, OPJ_UINT32 leafno, OPJ_INT32 threshold)
| Encode the value of a leaf of the tag-tree up to a given threshold. More...
OPJ_UINT32 | opj_tgt_decode (opj_bio_t *bio, opj_tgt_tree_t *tree, OPJ_UINT32 leafno, OPJ_INT32 threshold)
| Decode the value of a leaf of the tag-tree up to a given threshold. More...